GET/v3/live/vendorgraphics/product-catalog/products

Fetch products

Returns products with cursor-based pagination, sorted deterministically by product ID. Maximum of 250 products per page.

Query parameters

  • cursorstringOptional
    Cursor for pagination. Use the cursor value from the previous response to get more results.
  • limitinteger (int32)Optional
    Maximum number of results to return (default: 100, max: 250)
Headers
x-api-key Required · API key for authentication

Response

  • productsobject[]
    List of products
    • categoryIdsstring[]
      IDs of categories this product belongs to
    • descriptionstring
      Product description
    • idstring
      AggKnowledge product ID
    • namestring
      Product name
    • vendorAggkCompanyIdstring
      AggKnowledge company ID of the vendor offering this product
  • cursorstring
    Cursor for pagination. Use this value as the cursor parameter in the next request to get more results.

Status codes